<?php  
/**
 * [get_attr_logo get the attributes the current logo and apply]
 * @return [string]  [ html the current logo]
 */
function get_attr_logo(){

	global $ShocK_settings;

	if (empty($ShocK_settings['logo_mode'])){
		$ShocK_settings['logo_mode']='image';
		$ShocK_settings['logo_img']=get_template_directory_uri().'/img/logo/logo.png';
	}

	$logo_mk = '<img src="'.$ShocK_settings['logo_img'].'" />'.'<span class="logotext" >'.$ShocK_settings['logo_text'].'</span>';
	$logo_html = '<a href="'.home_url().'" data-effect="'.$ShocK_settings['logo_effect'].'" data-mode="'.$ShocK_settings['logo_mode'].'" class="logo" >'.$logo_mk.'</a>';

	return apply_filters( 'get_attr_logo', $logo_html);
}

/**
 * [get_theme_setting load the main configuration of the theme ]
 * @param  string $value [description]
 * @return [array]        [ return the current settings in array ]
 */
function get_theme_settings ( $value = '' ){
	
	global $ShocK_settings;

	if ( empty($ShocK_settings) )
		$ShocK_settings=ShocK_get_theme_options();

	if ( empty( $ShocK_settings[ $value ] ) && $value != '' )
		return false;

	return ( empty($value) ) ?$ShocK_settings:$ShocK_settings[ $value ];

}


/* funciton para quitar los puntos suspensivos del excerpt */
function trim_excerpt($text) {
	return str_replace(" [...]", '...', $text);
}
add_filter('get_the_excerpt', 'trim_excerpt');

/*Asign style boxes into post*/
function ShocK_style_boxes(){

	global $ShocK_settings;
	$attr='';

	switch ( $ShocK_settings['post_style'] ) {
		case 'boxcss_default':
			//return false;
		break;
		default:
			$attr="data-poststyle='{$ShocK_settings['post_style']}'";
		break;
	}
	
	$layout_info = get_theme_settings( 'layout_info' );

	if ( $layout_info['themeshock_default_widget_boxes'] === true ) {

		switch ( $ShocK_settings['widget_style'] ) {
			case 'boxcss_default':
				//return false;
			break;
			default:
				$attr .= " data-sidstyle='{$ShocK_settings['widget_style']}'";
			break;
		}
	}
	//echo $attr." data-sidstyle='boxcss_5'";
	echo $attr;
}

/*shock mode de display grid or list*/
function ShocK_display_mode(){

	$ShocK_settings = get_theme_settings();
	$sidebar = get_current_sidebar();

	switch ( $sidebar) {
		case 'fullwidth':
			$content_width = 880;
		break;
		case 'sidebar_1':
			$content_width = 510;
		break;
		case 'sidebar_2':
			$content_width = 400;
		break;
	}

	echo " data-display = '{$ShocK_settings['post_display']}' data-postsize='{$ShocK_settings['post_size']}' data-sidebar='{$sidebar}'";

}

/*Shock elemetns to display*/
function ShocK_elements_display( $element ) {
	
	global $ShocK_settings;

	if ( empty($ShocK_settings[ $element ] ) && !isset( $ShocK_settings[$element] ) ){
		
		return false;
	} else {

		$data_attr=($ShocK_settings[$element]===false)?'false':'true';
		echo "data-show='$data_attr' ";
	}
}
/*
 * [ShocK_responsive_slider verify if is really resposiver slider]
 */
function ShocK_responsive_slider ( ) {

	$current_slider = get_theme_mod( 'ShocK_slider_type' );
	$status = false;

	switch ( $current_slider ){
		case 'Nivo-Slider':
		case 'Easy-Accordion':
		case 'Piecemaker':
		break;
		default:
			$status = true;
		break;
	}

	return $status;
}

function ShocK_sld_settings () {

	global $ShocK_settings;
	$get_sliders = ShocK_slider_schemes();
	$slider_info =get_theme_settings( 'slider_info' );
	extract( $slider_info );
	extract( $slider_opt );

	$sliderc = $get_sliders[ $type_slider ];

	if ( is_array( $sliderc ) ){

		if ( isset ($sliderc['sldpack']) )
		$opt = json_decode( $sliderc['sldpack'],true);

		$opt['effect']=$type_slider;
		$opt['frm']=( $border_style ==='tg-border-default' )?$opt['frm']:$border_style;

	}

	switch ( $type_slider ){
		case 'Featured-Slider':
			$opt['h'] = $height_slider;
			$opt['w'] = $width_slider;
			$opt['tPosition'] = $thum_slider;
			$opt['delay'] = $delay_t;
			$opt['effect']= $get_sliders[$type_slider]['effects'][$effects_fts];
			$opt['bge'] = true;
		break;
		case 'fade':
		case 'sliceV':
		case 'slideV':
		case 'blockScale':
		case 'blindH':
		case 'blindV':
			$opt['w'] = $width_slider;
			$opt['h'] = $height_slider;
			$opt['tPosition'] = $thum_slider;
			$opt['delay'] = $delay_t;;
			$opt['effect'] = $type_slider;
		break;
	}
	if ( !empty( $opt ) ){
/*		if ( $resp_slider === 'yes'){
			$opt['w'] = $opt['h']+($opt['h']/0.7);
		}*/
	}else{
		$opt = false;
	}
	
	$option_js = is_array( $opt )?$opt:json_decode(stripcslashes($opt),true);
	$ShocK_settings['opt_sld'] = $option_js;
	return $option_js;
}

function ShocK_get_current_slider ( ){

}

/*
 * [ShocK_slider Validate if slider is active or not]
 */
function ShocK_slider () {

	//update page position layout
	layout_update();
	//slider make part of the layout creator.
	$status = false;
	$layout_info = get_theme_settings( 'layout_info' );
	$slider_info = get_theme_settings( 'slider_info' );
	extract( $slider_info );
	$id = 0;

	if ( is_page () ) 
		$id = get_the_ID();

	if ( function_exists('is_shop') && function_exists('woocommerce_get_page_id') && is_shop() )
		$id = woocommerce_get_page_id('shop');

	$slider_info = $layout_info[ $id ];


	if ( ( 
			(isset($slider_info[ 'slider_blog' ]) && $slider_info[ 'slider_blog' ] && is_home())
			|| ( isset ( $slider_info[ 'slider_search' ] ) && $slider_info[ 'slider_search' ] && is_search() ) 
			|| ( isset ( $slider_info[ 'slider_category' ] ) && is_category() && is_archive() && $slider_info[ 'slider_category' ] )
			|| ( isset ( $slider_info[ 'slider_archive' ] ) && !is_category() && is_archive() && $slider_info[ 'slider_archive' ] )
			|| ( isset ( $slider_info[ 'slider_single' ] ) && is_single() && $slider_info[ 'slider_single' ] ) 
			|| ( isset ( $slider_info['slider_page'] ) && $slider_info['slider_page'] )
		 )
		 && ( $type_slider !== 'No-Slider' )
	   )
		$status = true;

	return apply_filters('ShocK_slider',$status);
}
function ShocK_Slider_piecemaker (){

	extract( wp_upload_dir() );
	$slider_info = get_theme_settings( 'slider_info' );
	extract( $slider_info );
	extract( $slider_opt );
	$get_sliders = ShocK_slider_schemes();
	$twentype = $get_sliders[ 'Piecemaker' ][ 'effects' ][ $effects_pm ];
	$autoplay = $delay_pm;
	$slides = get_theme_settings ('slides');
	$img_Piecemaker = '';
	if ( empty( $slides ) ){
		include ( get_template_directory().'/functions/sliders_selector.php' );
		$slides = get_default_slides();
	}
	foreach ($slides as $key => $attach ) {
		# code...
		extract( $attach );
		if ( is_numeric( $attachment ) ) {
			$get_img =  wp_get_attachment_image_src( $attachment,'ShocK_slides' );
			$img_source = str_replace( $baseurl, '', $get_img[0] );
		}else{
			$img_source = basename( $attachment );
		}

		$img_Piecemaker.=' 
		<Image Filename="'.$img_source.'" >
			<Text>
				<headline>Description Text</headline>
				<break>?</break>
				<paragraph>Here you can add a description text for every single image.</paragraph>
				<break>?</break>
				<inline>This is HTML text loaded from the external XML file and formatted with an external CSS file. So its pretty simple to set this text. You can also easily add</inline>
				<a HREF="http://www.modularweb.net/piecemaker" TARGET="_blank">?hyperlinks</a>
				<paragraph>. This one leads you to the official Piecemaker website, by the way.</paragraph>
			</Text>
		</Image>
		';
	}

	header("Content-type: text/xml");
	echo '<?xml version="1.0" encoding="utf-8" ?>
	<Piecemaker>
		<Settings>
			<imageWidth>900</imageWidth>
			<imageHeight>346</imageHeight>
			<segments>7</segments>
			<tweenTime>1.2</tweenTime>
			<tweenDelay>0.1</tweenDelay>
			<ControlDistance>75</ControlDistance>
			<ControlsAlign>left</ControlsAlign>
			<tweenType>'.$twentype.'</tweenType>
			<zDistance>0</zDistance>
			<expand>20</expand>
			<innerColor>0x111111</innerColor>
			<textBackground>0x0064C8</textBackground>
			<shadowDarkness>100</shadowDarkness>
			<textDistance>0</textDistance>
			<autoplay>'.$autoplay.'</autoplay>
			<playshow>1</playshow>
		</Settings>
		'.
		$img_Piecemaker
		.'
	</Piecemaker>';
	exit;
}
add_action( 'wp_ajax_pm_slider', 'ShocK_Slider_piecemaker' );
add_action( 'wp_ajax_nopriv_pm_slider', 'ShocK_Slider_piecemaker' );

function ShocK_footer_info () {

	$ShocK_settings = get_theme_settings();
	echo "<p>{$ShocK_settings['footer_info']}</p>";
}
?>